## indi-gige 0.1%2B20221223115700

=== debian/changelog ===
indi-gige (0.1+20221223115700-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:30 +1100

indi-gige (0.1+20221223115700-2) unstable; urgency=medium

  * update libapogee3 runtime dependency (Closes: #1067210)
    thanks to Gianfranco Costamagna for the patch
  * debian/control: bump standard to 4.6.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 22 Mar 2024 22:58:15 +0100

indi-gige (0.1+20221223115700-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.1

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 11:58:15 +0000

indi-gige (0.1+20220611124431-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Thorsten Alteholz ]
  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:44:40 +0000

indi-gige (0.1+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:49:19 +0000

indi-gige (0.1-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Dec 2021 17:25:02 +0100

indi-gige (0.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 17 Dec 2021 12:25:02 +0000

## indi-gige 0.1+20220129131520

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_gige CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(GLIB2 REQUIRED)
find_package(ARAVIS REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})
include_directories( ${GLIB2_INCLUDE_DIRS})
include_directories( ${Arv_INCLUDE_DIRS})

include(CMakeCommon)

############# GENERIC CCD ###############
if (CFITSIO_FOUND)

    set(GIGE_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/src/indi_gige.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ArvGeneric.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/ArvFactory.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/src/BlackFly.cpp
)

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(indigige GIGE_SRCS 10 cpp)
ENDIF ()

add_executable(indi_gige_ccd ${GIGE_SRCS})

#target_link_libraries(indi_gige_ccd ${INDI_LIBRARIES} ${CFITSIO_LIBRARIES} m ${ZLIB_LIBRARY} ${GLIB2_LIBRARY} ${ARV_LIBRARY})
target_link_libraries(indi_gige_ccd ${INDI_LIBRARIES} ${GLIB2_LIBRARIES} ${Arv_LIBRARIES} ${CFITSIO_LIBRARIES} m gobject-2.0 ${ZLIB_LIBRARY})

install(TARGETS indi_gige_ccd RUNTIME DESTINATION bin)

endif (CFITSIO_FOUND)

install(FILES indi_gige_ccd.xml DESTINATION ${INDI_DATA_DIR})

=== debian/control ===
Source: indi-gige
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libapogee-dev
	, libcfitsio-dev
	, zlib1g-dev
	, libaravis-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-gige
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-gige.git

Package: indi-gige
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libapogee3
Description: INDI driver for GigE machine vision cameras
 This package contains an INDI driver for most GigE machine vision cameras
 through project Aravis.
 .
 Machine vision GigE cameras are designed towards throughput, and hence
 provide emphasis on high-speed video streaming. The main design goal for
 this driver is to use these cameras as primary imager or for guiding.
 Therefore, the main goal of this driver is not to provide high-speed
 video streams, but to control these cameras more or less as a generic
 CCD camera with a manual trigger and manual exposure controls.
 .
 Many of the pre-processing features found on many of these cameras have
 therefore been not exposed.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-gige 0.1+20221223115700

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,16 @@
 	, libcfitsio-dev
 	, zlib1g-dev
 	, libaravis-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
-XS-Autobuild: yes
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-gige
 Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-gige.git
 
 Package: indi-gige
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-	, libapogee3
+	, libapogee3t64
 Description: INDI driver for GigE machine vision cameras
  This package contains an INDI driver for most GigE machine vision cameras
  through project Aravis.
